#!/usr/bin/perl

# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (c) 2001-2007 NetSlave GmbH
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Beispiel-Script Perl (Stand-Alone)
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


my $kto        =        "712 33";                # Kontonummer
my $blz        =        "300 500 00";            # Bankleitzahl
my $key        =        'demo';                  # Lizenzschlssel

# Entfernen aller nicht-numerischen Zeichen
# aus der Kontonummer und der Bankleitzahl
$kto        =~s/\D//g;
$blz        =~s/\D//g;

# Zusammensetzung des bergabeparameters
my $parameter        =        "knr=$kto&blz=$blz&key=$key";

# Aufruf von cKonto
my $ausgabe        =        `./cKonto "$parameter"`;

# Zerlegen der Ausgabe in NAME/WERT-Paare
my @paare                =        split(/&/,$ausgabe);
my %data;
foreach (@paare) {
        my ( $name , $value )        =        split(/=/,$_);
        $data{$name}                =        $value;
}

if ($data{'code'}==1) {
        print "Die Kontonummer ist gltig\n";

        $data{'name'}        =~s/\+/ /g;        # Ersetzen von "+" durch " ".
        $data{'location'}    =~s/\+/ /g;        # Ersetzen von "+" durch " ".

        print "Name der Bank        : $data{'name'}\n";
        print "Postleitzahl der Bank: $data{'zip'}\n";
        print "Ort des Institutes   : $data{'location'}\n";

} elsif ($data{'code'}==0) {
        print "Die Kontonummer ist nicht gltig\n";

} elsif ($data{'code'}==8) {
        print "Die von der Bank verwendete Prfmethode ist\n";
        print "im Demonstrations-Modus nicht verfgbar.\n";
}